/*
 *	essai sur la construction d'un chateau
 */

#version 3.7;

global_settings {
		ambient_light rgb <0.18, 0.20, 0.18>
		assumed_gamma 1.0
		max_trace_level 4
		}

/* system includes */
#include  "colors.inc"
#include  "woods.inc"
#include  "textures.inc"
#include  "stones.inc"
#include  "metals.inc"
#include  "golds.inc"
#include  "glass.inc"
#include  "transforms.inc"

/* my includes */
#include  "values.inc"

/*            WARNING THIS HACK IS UGLY		=======*/
#declare  NormClock = clock/800;		/* XXX */
/*		END OF HACK			=======*/


#include  "reperes.inc"
#include  "lumieres.inc"
#include  "supports.inc"
#include  "elements.inc"
#include   "values.inc"
#include  "chateau.inc"

object { Le_Chateau_Fort  }
plane  { y, 0 pigment {checker White Tan*0.30 } scale 25 }

light_source { <-90, 30,  52>	color Gray60		}
light_source { < 70, 40,  31>	color Gray70		}
light_source { < 10, 50, -48>	color Gray55		}

sky_sphere {
  pigment {
    gradient y
      color_map {
        [ 0.5  color CornflowerBlue*0.08 ]
        [ 1.0  color MidnightBlue*0.5 ]
        }
    scale 0.1
    translate -1
    }
  emission rgb <0.4, 0.4, 1>
  }

/*    ======================================================    */

#local AngleCam = 90;

#local CK = (NormClock*3.141592654*2);

#local E_Cam = 34;
#local CamX  = E_Cam * cos(CK);
#local CamY  = 15.10;
#local CamZ  = E_Cam * sin(CK);
#local Pos_Cam = <CamX, CamY, CamZ>;

#local E_Lat = 0.04;
#local LatX  = E_Lat * sin(CK);
#local LatY  = 16.40;
#local LatZ  = E_Lat * cos(CK);
#local Pos_Lat = <LatX, LatY, LatZ>;

#local Pos_Rep = Interpolate(Pos_Cam, Pos_Lat, 0.15);

#if (mod(clock, 110) < 20)
  object { Marker scale 2.000 translate (Pos_Rep + <1,  3.5, 0>) }
#end

camera	{
	orthographic
	location	Pos_Cam
	look_at		Pos_Lat
	right		x*image_width/image_height
	angle 		AngleCam
	}

/*    ------------------------------------------------------    */
